petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESTSFormJacobian

Function to evaluate the Jacobian

### Synopsis

    #include "petscts.h"
    PetscErrorCode  SNESTSFormJacobian(SNES snes,Vec U,Mat A,Mat B,void *ctx)

Collective on SNES

### Input Parameter

| snes | - nonlinear solver
| U | - the current state at which to evaluate the residual
| ctx | - user context, must be a TS

### Output Parameter

| A | - the Jacobian
| B | - the preconditioning matrix (may be the same as A)
| flag | - indicates any structure change in the matrix

### Notes

This function is not normally called by users and is automatically registered with the SNES used by TS.

### See Also

SNESSetJacobian()

### Level

developer

### Location

src/ts/interface/ts.c

### Implementations

SNESTSFormJacobian_ARKIMEX in src/ts/impls/arkimex/arkimex.c
src/ts/impls/bdf/bdf.c:285:static PetscErrorCode SNESTSFormJacobian_BDF(PETSC_UNUSED SNES snes, SNESTSFormJacobian_EIMEX in src/ts/impls/eimex/eimex.c
SNESTSFormJacobian_GLEE in src/ts/impls/glee/glee.c
SNESTSFormJacobian_Alpha in src/ts/impls/implicit/alpha/alpha1.c
SNESTSFormJacobian_Alpha in src/ts/impls/implicit/alpha/alpha2.c
SNESTSFormJacobian_GLLE in src/ts/impls/implicit/glle/glle.c
SNESTSFormJacobian_Theta in src/ts/impls/implicit/theta/theta.c
SNESTSFormJacobian_Mimex in src/ts/impls/mimex/mimex.c
SNESTSFormJacobian_Pseudo in src/ts/impls/pseudo/posindep.c
SNESTSFormJacobian_RosW in src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages